## aodh 11.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

tenacity>=3.2.1  # Apache-2.0
croniter>=0.3.4 # MIT License
futurist>=0.11.0  # Apache-2.0
jsonschema>=3.2.0 # MIT
keystonemiddleware>=2.2.0,!=4.19.0
gnocchiclient>=3.1.0  # Apache-2.0
lxml>=2.3
oslo.db>=4.8.0,!=4.13.1,!=4.13.2,!=4.15.0 # Apache-2.0
oslo.config>=2.6.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=1.2.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.upgradecheck>=0.1.1 # Apache-2.0
PasteDeploy>=1.5.0
pbr>=2.0.0 # Apache-2.0
pecan>=0.8.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.22.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
python-keystoneclient>=1.6.0
pytz>=2013.6
requests>=2.5.2
six>=1.9.0
stevedore>=1.5.0 # Apache-2.0
tooz>=1.28.0 # Apache-2.0
voluptuous>=0.8.10
WebOb>=1.2.3
WSME>=0.8
cachetools>=1.1.6
cotyledon
keystoneauth1>=2.1
debtcollector>=1.2.0  # Apache-2.0
python-octaviaclient>=1.8.0
python-dateutil  # BSD
python-heatclient>=1.17.0
python-ceilometerclient>=1.5.0

=== debian/changelog ===
aodh (11.0.0-2) unstable; urgency=medium

  * mv /etc/aodh/policy.json /etc/aodh/disabled.policy.json.old instead of
    deleting /etc/aodh/policy.json.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Dec 2020 11:12:55 +0100

aodh (11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed watch file.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 17:03:36 +0200

aodh (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed python3-jsconschema version for this release.
  * Use /etc/aodh/policy.d/00_default_policy.yaml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2020 14:33:35 +0200

aodh (10.0.0-2) unstable; urgency=medium

  * Add remove-wsmeext.sphinxext.patch (Closes: #963634).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Sep 2020 10:44:25 +0200

aodh (10.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 15:34:25 +0200

aodh (10.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 23:16:27 +0200

aodh (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 23:13:15 +0200

=== debian/control ===
Source: aodh
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-babel,
 python3-cachetools,
 python3-ceilometerclient,
 python3-cotyledon,
 python3-coverage,
 python3-croniter,
 python3-dateutil,
 python3-debtcollector,
 python3-fixtures,
 python3-futurist,
 python3-gabbi,
 python3-gnocchiclient,
 python3-hacking,
 python3-heatclient (>= 1.17.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-octaviaclient (>= 1.8.0),
 python3-openstackdocstheme,
 python3-os-testr,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-pastedeploy,
 python3-pecan,
 python3-psycopg2,
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-six,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stevedore,
 python3-tempest,
 python3-tenacity,
 python3-testresources,
 python3-tooz,
 python3-tz,
 python3-voluptuous,
 python3-webob,
 python3-webtest,
 python3-wsme,
 python3-zaqarclient,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/aodh
Vcs-Git: https://salsa.debian.org/openstack-team/services/aodh.git
Homepage: https://github.com/openstack/aodh
Testsuite: autopkgtest-pkg-python

Package: aodh-api
Architecture: all
Depends:
 adduser,
 aodh-common (= ${binary:Version}),
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - API server
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the API service.

Package: aodh-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 dpkg-dev,
 python3-aodh (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Aodh.

Package: aodh-doc
Section: doc
Architecture: all
Depends:
 adduser,
 aodh-common (= ${binary:Version}),
 debconf,
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Suggests:
 mongodb,
Description: OpenStack Telemetry (Ceilometer) Alarming - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: aodh-evaluator
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: aodh-expirer
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - expirer
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the expirer. it is the script that handles time-to-live
 support, when it is not natively supported by the database backend.

Package: aodh-listener
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - listener
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the listener daemon: it does an alarm on an event.

Package: aodh-notifier
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.

Package: python3-aodh
Section: python
Architecture: all
Depends:
 alembic,
 python3-cachetools,
 python3-ceilometerclient,
 python3-croniter,
 python3-dateutil,
 python3-debtcollector,
 python3-gnocchiclient,
 python3-heatclient (>= 1.17.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-octaviaclient (>= 1.8.0),
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-voluptuous,
 python3-webob,
 python3-werkzeug,
 python3-wsme,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Aodh.

=== debian/rules ===
#!/usr/bin/make -f

export HOME="$(CURDIR)/debian/test"
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf .testrepository
	rm -f debian/aodh-common.config debian/aodh-common.postinst debian/aodh-api.config debian/aodh-api.postinst
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf debian/po debian/*.templates

override_dh_auto_clean:
	python3 setup.py clean -a

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm aodh-common.postrm
	pkgos-merge-templates aodh-api aodh endpoint
	pkgos-merge-templates aodh-common aodh db rabbit ksat

override_dh_auto_install:
	echo "Do nothing here..."

override_dh_auto_test:
	echo "Do nothing here..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --force --no-compile -O0 --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'aodh\.tests\.unit\.(?!(.*test_bin.*|.*test_messaging\.MessagingTests\.test_get_transport_optional.*))'
endif

	for i in api-paste.ini app.wsgi ; do \
		cp aodh/api/$$i $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/aodh/api ; \
	done

	dh_install
	dh_missing --fail-missing

	# Manage policy.yaml
	mkdir -p $(CURDIR)/debian/aodh-common/etc/aodh/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages:$(CURDIR) oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/aodh-common/etc/aodh/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace aodh

	# Manage aodh.conf
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf \
		--namespace aodh \
		--namespace aodh-auth \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.healthcheck \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf keystone_authtoken aodh

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf oslo_policy policy_dirs /etc/aodh/policy.d

	pkgos-fix-config-default $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf api paste_config /usr/lib/python3/dist-packages/aodh/api/api-paste.ini

	# Add sqlalchemy migration which are missing
	mkdir -p $(CURDIR)/debian/python-aodh/usr/lib/python3/dist-packages/aodh/storage/sqlalchemy
	cp -auxf $(CURDIR)/aodh/storage/sqlalchemy/* $(CURDIR)/debian/python-aodh/usr/lib/python3/dist-packages/aodh/storage/sqlalchemy

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html
	mkdir -p $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static
	touch $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## aodh 12.0.0

=== requirements.txt ===
--- 
+++ 
@@ -6,15 +6,16 @@
 croniter>=0.3.4 # MIT License
 futurist>=0.11.0  # Apache-2.0
 jsonschema>=3.2.0 # MIT
-keystonemiddleware>=2.2.0,!=4.19.0
+keystonemiddleware>=5.1.0 # Apache-2.0
 gnocchiclient>=3.1.0  # Apache-2.0
 lxml>=2.3
 oslo.db>=4.8.0,!=4.13.1,!=4.13.2,!=4.15.0 # Apache-2.0
-oslo.config>=2.6.0 # Apache-2.0
+oslo.config>=6.8.0 # Apache-2.0
+oslo.context>=2.22.0 # Apache-2.0
 oslo.i18n>=1.5.0 # Apache-2.0
-oslo.log>=1.2.0 # Apache-2.0
-oslo.policy>=0.5.0 # Apache-2.0
-oslo.upgradecheck>=0.1.1 # Apache-2.0
+oslo.log>=4.3.0 # Apache-2.0
+oslo.policy>=3.6.0 # Apache-2.0
+oslo.upgradecheck>=1.3.0 # Apache-2.0
 PasteDeploy>=1.5.0
 pbr>=2.0.0 # Apache-2.0
 pecan>=0.8.0
@@ -24,7 +25,6 @@
 python-keystoneclient>=1.6.0
 pytz>=2013.6
 requests>=2.5.2
-six>=1.9.0
 stevedore>=1.5.0 # Apache-2.0
 tooz>=1.28.0 # Apache-2.0
 voluptuous>=0.8.10

=== debian/changelog ===
aodh (1:12.0.0-0ubuntu1~cloud2) focal-wallaby; urgency=medium

  * gnocchi: Use Dynamic Aggregates API (LP: #1946793, LP: #1974682)
    - d/p/0001-Bump-minimum-version-of-gnocchiclient-for-aggregats-.patch
    - d/p/0002-Ignore-Gnocchi-API-error-when-the-metric-is-not-yet-.patch
    - d/p/0003-gnocchi-Use-Dynamic-Aggregates-API.patch
    - d/control: Align min version of python3-gnocchiclient with patch above.

 -- Seyeong Kim <seyeong.kim@canonical.com>  Tue, 15 Nov 2022 08:57:22 +0900

aodh (1:12.0.0-0ubuntu1~cloud1) focal-wallaby; urgency=medium

  * d/gbp.conf: Create stable/wallaby branch.
  * d/control, d/rules: Bump debhelper compat to 12 (LP: #1960636).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 11:51:43 -0500

aodh (1:12.0.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

aodh (1:12.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 14:48:19 -0400

aodh (1:12.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Fix tarball path.
  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Mar 2021 17:12:34 -0400

aodh (1:11.0.0+git2021012507.a584056c-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:04:31 +0000

aodh (1:11.0.0+git2020120915.02856174-0ubuntu1) hirsute; urgency=medium

  * Increment epoch to align with new snapshot plan.
  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 09 Dec 2020 15:33:57 +0000

aodh (11.1.0~b1~git2020120714.c9a6cdc5-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Dec 2020 15:17:12 +0000

aodh (11.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 15 Oct 2020 07:12:51 +0000

aodh (11.0.0~rc1-0ubuntu1) groovy; urgency=medium

  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release candidate for OpenStack Victoria.
  * d/p/remove-wsmeext.sphinxext.patch: wsmext is incompatible with Sphinx>3.
    Patch synced from Debian.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Oct 2020 13:15:52 +0000

aodh (11.0.0~b1~git2020062508.932b1e0e-0ubuntu2) groovy; urgency=medium

  * d/control, d/*.init.in, d/setup-test-env-mongodb.sh: Drop mongodb
    as it is no longer needed by aodh (LP: #1879494).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Jul 2020 16:12:40 -0400

aodh (11.0.0~b1~git2020062508.932b1e0e-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 25 Jun 2020 08:37:35 +0000

aodh (10.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Update to get release tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 13:27:11 -0400

=== debian/control ===
Source: aodh
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 apache2-dev,
 debhelper-compat (= 12),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 crudini,
 python3-babel,
 python3-cachetools (>= 1.1.6),
 python3-ceilometerclient (>= 1.5.0),
 python3-cotyledon,
 python3-coverage,
 python3-croniter (>= 0.3.4),
 python3-dateutil,
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 0.11.0),
 python3-gabbi,
 python3-gnocchiclient (>= 6.0.0),
 python3-heatclient (>= 1.17.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 2.1),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-lxml (>= 2.3),
 python3-mock (>= 2.0.0),
 python3-octaviaclient (>= 1.8.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.8.0),
 python3-oslo.i18n (>= 1.5.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.middleware (>= 3.22.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.utils (>= 3.5.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslosphinx,
 python3-oslotest,
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 0.8.0),
 python3-psycopg2,
 python3-pymysql,
 python3-reno (>= 2.11.2),
 python3-requests (>= 2.5.2),
 python3-retrying,
 python3-six (>= 1.9.0),
 python3-sphinxcontrib-pecanwsme (>= 0.10.0),
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy-utils,
 python3-stevedore (>= 1:1.5.0),
 python3-tempest,
 python3-tenacity (>= 3.2.1),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-tooz (>= 1.28.0),
 python3-tz (>= 2013.6),
 python3-voluptuous (>= 0.8.10),
 python3-webob (>= 1:1.2.3),
 python3-webtest,
 python3-werkzeug,
 python3-wsme (>= 0.8),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/aodh
Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/aodh
Homepage: https://github.com/openstack/aodh
Testsuite: autopkgtest-pkg-python

Package: aodh-api
Architecture: all
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - API server
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the API service.

Package: aodh-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack efficient metering counters system - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: aodh-evaluator
Architecture: all
Depends:
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: aodh-expirer
Architecture: all
Depends:
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - expirer
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the expirer. it is the script that handles time-to-live
 support, when it is not natively supported by the database backend.

Package: aodh-listener
Architecture: all
Depends:
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - listener
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the listener daemon: it does an alarm on an event.

Package: aodh-notifier
Architecture: all
Depends:
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.

Package: python3-aodh
Section: python
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 python3-cachetools (>= 1.1.6),
 python3-ceilometerclient (>= 1.5.0),
 python3-cotyledon,
 python3-croniter (>= 0.3.4),
 python3-dateutil,
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 0.11.0),
 python3-gnocchiclient (>= 6.0.0),
 python3-heatclient (>= 1.17.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 2.1),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-lxml (>= 2.3),
 python3-octaviaclient (>= 1.8.0),
 python3-openstackclient,
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.8.0),
 python3-oslo.i18n (>= 1.5.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.middleware (>= 3.22.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.5.0),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 0.8.0),
 python3-pymysql,
 python3-requests (>= 2.5.2),
 python3-retrying,
 python3-six (>= 1.9.0),
 python3-sqlalchemy,
 python3-stevedore (>= 1:1.5.0),
 python3-tenacity (>= 3.2.1),
 python3-tooz (>= 1.28.0),
 python3-tz (>= 2013.6),
 python3-tz (>= 2013.6),
 python3-voluptuous (>= 0.8.10),
 python3-webob (>= 1:1.2.3),
 python3-werkzeug,
 python3-wsme (>= 0.8),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - Python 3 libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python 3 libraries that are needed for all parts of
 Aodh.

Package: aodh-common
Architecture: all
Depends:
 adduser,
 dpkg-dev,
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Aodh.

## aodh 13.0.0

=== debian/changelog ===
aodh (1:13.0.0-0ubuntu2) impish; urgency=medium

  * d/gbp.conf: Create stable/xena branch.
  * d/control, d/rules: Bump debhelper compat to 12 (LP: #1960636).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 09:04:31 -0500

aodh (1:13.0.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 15:13:18 +0000

aodh (1:12.0.0+git2021090813.e61fba4a-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:54 +0000

aodh (1:12.0.0+git2021072116.10383f4d-0ubuntu3) impish; urgency=medium

  * d/p/drop-sqlalchemy-required-version.patch: Remove dependency on
    unavailable sqlalchemy 1.4.
    (LP: #1938962)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 05 Aug 2021 00:37:55 +0000

aodh (1:12.0.0+git2021072116.10383f4d-0ubuntu2) impish; urgency=medium

  * d/control: Drop python3-sqlalchemy min version.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 27 Jul 2021 08:30:28 -0400

aodh (1:12.0.0+git2021072116.10383f4d-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 16:24:37 -0400

aodh (1:12.0.0+git2021061111.71f4d027-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 11:36:42 +0000

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  python3-debtcollector (>= 1.2.0),
  python3-futurist (>= 0.11.0),
  python3-gabbi,
- python3-gnocchiclient (>= 6.0.0),
+ python3-gnocchiclient (>= 3.1.0),
  python3-heatclient (>= 1.17.0),
  python3-jsonschema (>= 3.2.0),
  python3-keystoneauth1 (>= 2.1),
@@ -45,7 +45,7 @@
  python3-oslo.log (>= 4.3.0),
  python3-oslo.messaging (>= 5.2.0),
  python3-oslo.middleware (>= 3.22.0),
- python3-oslo.policy (>= 3.6.0),
+ python3-oslo.policy (>= 3.7.0),
  python3-oslo.utils (>= 3.5.0),
  python3-oslo.upgradecheck (>= 1.3.0),
  python3-oslosphinx,
@@ -54,12 +54,13 @@
  python3-pecan (>= 0.8.0),
  python3-psycopg2,
  python3-pymysql,
- python3-reno (>= 2.11.2),
+ python3-reno,
  python3-requests (>= 2.5.2),
  python3-retrying,
  python3-six (>= 1.9.0),
  python3-sphinxcontrib-pecanwsme (>= 0.10.0),
  python3-sphinxcontrib.httpdomain,
+ python3-sqlalchemy,
  python3-sqlalchemy-utils,
  python3-stevedore (>= 1:1.5.0),
  python3-tempest,
@@ -205,7 +206,7 @@
  python3-dateutil,
  python3-debtcollector (>= 1.2.0),
  python3-futurist (>= 0.11.0),
- python3-gnocchiclient (>= 6.0.0),
+ python3-gnocchiclient (>= 3.1.0),
  python3-heatclient (>= 1.17.0),
  python3-jsonschema (>= 3.2.0),
  python3-keystoneauth1 (>= 2.1),
@@ -221,7 +222,7 @@
  python3-oslo.log (>= 4.3.0),
  python3-oslo.messaging (>= 5.2.0),
  python3-oslo.middleware (>= 3.22.0),
- python3-oslo.policy (>= 3.6.0),
+ python3-oslo.policy (>= 3.7.0),
  python3-oslo.upgradecheck (>= 1.3.0),
  python3-oslo.utils (>= 3.5.0),
  python3-pastedeploy (>= 1.5.0),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#expose DH_VERBOSE=1

export HOME="$(CURDIR)/debian/test"
SHELL := /bin/sh -e


include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with apache2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .testrepository

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_install:
	mkdir -p $(CURDIR)/debian/tmp/etc/aodh
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=$(CURDIR)/aodh/cmd/aodh-config-generator.conf \
		--output-file=$(CURDIR)/debian/tmp/etc/aodh/aodh.conf
	crudini --merge $(CURDIR)/debian/tmp/etc/aodh/aodh.conf < $(CURDIR)/debian/aodh.conf.dist
	dh_install -Xusr/etc/aodh/aodh-config-generator.conf -Xusr/bin/aodh-api \
		-Xusr/etc/aodh/policy.json -Xusr/etc/aodh/api_paste.ini
	dh_missing --fail-missing -Xusr/etc/aodh/aodh-config-generator.conf -Xusr/bin/aodh-api \
		-Xusr/etc/aodh/policy.json -Xusr/etc/aodh/api_paste.ini

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'aodh\.tests\.unit.(?!test_bin.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html
	mkdir -p $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static
	touch $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## aodh 13.1.0

=== debian/changelog ===
aodh (13.1.0-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 28 Jul 2025 09:47:08 +0000

aodh (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 16:58:05 +0200

aodh (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix 00_default_policy.yaml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 20:55:13 +0200

aodh (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed --with systemd from debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Sep 2021 13:58:27 +0200

aodh (12.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 11:58:30 +0200

aodh (12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 22:56:40 +0200

aodh (12.0.0~rc1-1) experimental; urgency=medium

  * Tune aodh-api-uwsgi.ini for performance.
  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.
  * Add remove-httpdomain-sphinx-ext.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 13:04:20 +0100

=== debian/control ===
Source: aodh
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-babel,
 python3-cachetools,
 python3-cotyledon,
 python3-coverage,
 python3-croniter,
 python3-dateutil,
 python3-debtcollector,
 python3-fixtures,
 python3-futurist,
 python3-gabbi,
 python3-gnocchiclient,
 python3-hacking,
 python3-heatclient,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-octaviaclient,
 python3-openstackdocstheme,
 python3-os-testr,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslotest,
 python3-pastedeploy,
 python3-pecan,
 python3-psycopg2,
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy (>= 1.4.1),
 python3-sqlalchemy-utils (>= 0.37.6),
 python3-stevedore,
 python3-tempest,
 python3-tenacity,
 python3-testresources,
 python3-tooz,
 python3-tz,
 python3-voluptuous,
 python3-webob,
 python3-webtest,
 python3-wsme,
 python3-zaqarclient,
 subunit,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/aodh
Vcs-Git: https://salsa.debian.org/openstack-team/services/aodh.git
Homepage: https://github.com/openstack/aodh
Testsuite: autopkgtest-pkg-python

Package: aodh-api
Architecture: all
Depends:
 adduser,
 aodh-common (= ${binary:Version}),
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - API server
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the API service.

Package: aodh-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 dpkg-dev,
 python3-aodh (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Aodh.

Package: aodh-doc
Section: doc
Architecture: all
Depends:
 adduser,
 aodh-common (= ${binary:Version}),
 debconf,
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Suggests:
 mongodb,
Description: OpenStack Telemetry (Ceilometer) Alarming - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: aodh-evaluator
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: aodh-expirer
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - expirer
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the expirer. it is the script that handles time-to-live
 support, when it is not natively supported by the database backend.

Package: aodh-listener
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - listener
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the listener daemon: it does an alarm on an event.

Package: aodh-notifier
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.

Package: python3-aodh
Section: python
Architecture: all
Depends:
 alembic,
 python3-cachetools,
 python3-croniter,
 python3-dateutil,
 python3-debtcollector,
 python3-gnocchiclient,
 python3-heatclient,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-octaviaclient,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-sqlalchemy (>= 1.4.1),
 python3-stevedore,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-voluptuous,
 python3-webob,
 python3-werkzeug,
 python3-wsme,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Aodh.
